org.apache.poi.hssf.record.chart

## Class LegendRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.LegendRecord

- All Implemented Interfaces:
    Duplicatable

      public final class LegendRecord
      extends StandardRecord

  Defines a legend for a chart.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`
    `static byte` | `SPACING_CLOSE`
    `static byte` | `SPACING_MEDIUM`
    `static byte` | `SPACING_OPEN`
    `static byte` | `TYPE_BOTTOM`
    `static byte` | `TYPE_CORNER`
    `static byte` | `TYPE_LEFT`
    `static byte` | `TYPE_RIGHT`
    `static byte` | `TYPE_TOP`
    `static byte` | `TYPE_UNDOCKED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegendRecord()`
    `LegendRecord(LegendRecord other)`
    `LegendRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `LegendRecord` | `clone()` Deprecated.
    `LegendRecord` | `copy()`
    `protected int` | `getDataSize()`
    `short` | `getOptions()` Get the options field for the Legend record.
    `short` | `getSid()` return the non static version of the id for this record.
    `byte` | `getSpacing()` Get the spacing field for the Legend record.
    `byte` | `getType()` Get the type field for the Legend record.
    `int` | `getXAxisUpperLeft()` Get the x axis upper left field for the Legend record.
    `int` | `getXSize()` Get the x size field for the Legend record.
    `int` | `getYAxisUpperLeft()` Get the y axis upper left field for the Legend record.
    `int` | `getYSize()` Get the y size field for the Legend record.
    `boolean` | `isAutoPosition()` automatic positioning (1=docked)
    `boolean` | `isAutoSeries()` excel 5 only (true)
    `boolean` | `isAutoXPositioning()` position of legend on the x axis is automatic
    `boolean` | `isAutoYPositioning()` position of legend on the y axis is automatic
    `boolean` | `isDataTable()` 1 if chart contains data table
    `boolean` | `isVertical()` vertical or horizontal legend (1 or 0 respectively).
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setAutoPosition(boolean value)` Sets the auto position field value.
    `void` | `setAutoSeries(boolean value)` Sets the auto series field value.
    `void` | `setAutoXPositioning(boolean value)` Sets the auto x positioning field value.
    `void` | `setAutoYPositioning(boolean value)` Sets the auto y positioning field value.
    `void` | `setDataTable(boolean value)` Sets the data table field value.
    `void` | `setOptions(short field_7_options)` Set the options field for the Legend record.
    `void` | `setSpacing(byte field_6_spacing)` Set the spacing field for the Legend record.
    `void` | `setType(byte field_5_type)` Set the type field for the Legend record.
    `void` | `setVertical(boolean value)` Sets the vertical field value.
    `void` | `setXAxisUpperLeft(int field_1_xAxisUpperLeft)` Set the x axis upper left field for the Legend record.
    `void` | `setXSize(int field_3_xSize)` Set the x size field for the Legend record.
    `void` | `setYAxisUpperLeft(int field_2_yAxisUpperLeft)` Set the y axis upper left field for the Legend record.
    `void` | `setYSize(int field_4_ySize)` Set the y size field for the Legend record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### TYPE_BOTTOM

          public static final byte TYPE_BOTTOM

      See Also:
        Constant Field Values

    - #### TYPE_CORNER

          public static final byte TYPE_CORNER

      See Also:
        Constant Field Values

    - #### TYPE_TOP

          public static final byte TYPE_TOP

      See Also:
        Constant Field Values

    - #### TYPE_RIGHT

          public static final byte TYPE_RIGHT

      See Also:
        Constant Field Values

    - #### TYPE_LEFT

          public static final byte TYPE_LEFT

      See Also:
        Constant Field Values

    - #### TYPE_UNDOCKED

          public static final byte TYPE_UNDOCKED

      See Also:
        Constant Field Values

    - #### SPACING_CLOSE

          public static final byte SPACING_CLOSE

      See Also:
        Constant Field Values

    - #### SPACING_MEDIUM

          public static final byte SPACING_MEDIUM

      See Also:
        Constant Field Values

    - #### SPACING_OPEN

          public static final byte SPACING_OPEN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LegendRecord

          public LegendRecord()

    - #### LegendRecord

          public LegendRecord(LegendRecord other)

    - #### LegendRecord

          public LegendRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public LegendRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public LegendRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### getXAxisUpperLeft

          public int getXAxisUpperLeft()

      Get the x axis upper left field for the Legend record.

    - #### setXAxisUpperLeft

          public void setXAxisUpperLeft(int field_1_xAxisUpperLeft)

      Set the x axis upper left field for the Legend record.

    - #### getYAxisUpperLeft

          public int getYAxisUpperLeft()

      Get the y axis upper left field for the Legend record.

    - #### setYAxisUpperLeft

          public void setYAxisUpperLeft(int field_2_yAxisUpperLeft)

      Set the y axis upper left field for the Legend record.

    - #### getXSize

          public int getXSize()

      Get the x size field for the Legend record.

    - #### setXSize

          public void setXSize(int field_3_xSize)

      Set the x size field for the Legend record.

    - #### getYSize

          public int getYSize()

      Get the y size field for the Legend record.

    - #### setYSize

          public void setYSize(int field_4_ySize)

      Set the y size field for the Legend record.

    - #### getType

          public byte getType()

      Get the type field for the Legend record.
      Returns:
        One of TYPE_BOTTOM TYPE_CORNER TYPE_TOP TYPE_RIGHT TYPE_LEFT TYPE_UNDOCKED

    - #### setType

          public void setType(byte field_5_type)

      Set the type field for the Legend record.
      Parameters:
        `field_5_type` - One of TYPE_BOTTOM TYPE_CORNER TYPE_TOP TYPE_RIGHT TYPE_LEFT TYPE_UNDOCKED

    - #### getSpacing

          public byte getSpacing()

      Get the spacing field for the Legend record.
      Returns:
        One of SPACING_CLOSE SPACING_MEDIUM SPACING_OPEN

    - #### setSpacing

          public void setSpacing(byte field_6_spacing)

      Set the spacing field for the Legend record.
      Parameters:
        `field_6_spacing` - One of SPACING_CLOSE SPACING_MEDIUM SPACING_OPEN

    - #### getOptions

          public short getOptions()

      Get the options field for the Legend record.

    - #### setOptions

          public void setOptions(short field_7_options)

      Set the options field for the Legend record.

    - #### setAutoPosition

          public void setAutoPosition(boolean value)

      Sets the auto position field value. automatic positioning (1=docked)

    - #### isAutoPosition

          public boolean isAutoPosition()

      automatic positioning (1=docked)
      Returns:
        the auto position field value.

    - #### setAutoSeries

          public void setAutoSeries(boolean value)

      Sets the auto series field value. excel 5 only (true)

    - #### isAutoSeries

          public boolean isAutoSeries()

      excel 5 only (true)
      Returns:
        the auto series field value.

    - #### setAutoXPositioning

          public void setAutoXPositioning(boolean value)

      Sets the auto x positioning field value. position of legend on the x axis is automatic

    - #### isAutoXPositioning

          public boolean isAutoXPositioning()

      position of legend on the x axis is automatic
      Returns:
        the auto x positioning field value.

    - #### setAutoYPositioning

          public void setAutoYPositioning(boolean value)

      Sets the auto y positioning field value. position of legend on the y axis is automatic

    - #### isAutoYPositioning

          public boolean isAutoYPositioning()

      position of legend on the y axis is automatic
      Returns:
        the auto y positioning field value.

    - #### setVertical

          public void setVertical(boolean value)

      Sets the vertical field value. vertical or horizontal legend (1 or 0 respectively). Always 0 if not automatic.

    - #### isVertical

          public boolean isVertical()

      vertical or horizontal legend (1 or 0 respectively). Always 0 if not automatic.
      Returns:
        the vertical field value.

    - #### setDataTable

          public void setDataTable(boolean value)

      Sets the data table field value. 1 if chart contains data table

    - #### isDataTable

          public boolean isDataTable()

      1 if chart contains data table
      Returns:
        the data table field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.